## org.eclipse.emf.importer.ui.contribution
Interface IModelImporterWizard

All Superinterfaces:
  INewWizard, IWizard, IWorkbenchWizard

All Known Implementing Classes:
  EcoreImporterWizard, JavaImporterWizard, ModelImporterWizard, RoseImporterWizard

    public interface IModelImporterWizard

extends INewWizard

Since:
  2.1.0

Method Summary
`java.util.List<java.lang.String>` `getFileExtensions()`
`IPath` `getGenModelContainerPath()`
`java.lang.String` `getGenModelFileName()`
`IPath` `getGenModelProjectLocation()`
`IPath` `getGenModelProjectPath()`
`IFile` `getModelFile()`
`IFile` `getOriginalGenModelFile()`
`void` `setGenModelContainerPath(IPath path)`
`void` `setGenModelFileName(java.lang.String fileName)`
`void` `setGenModelProjectLocation(IPath projectLocation)`
`void` `setGenModelProjectPath(IPath projectPath)`
`void` `setModelFile(IFile modelFile)`
`void` `setOriginalGenModelFile(IFile originalGenModel)`

Methods inherited from interface org.eclipse.ui.IWorkbenchWizard
`init`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`addPages, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, performFinish, setContainer`

Method Detail

### setOriginalGenModelFile

    void setOriginalGenModelFile(IFile originalGenModel)

### getOriginalGenModelFile

    IFile getOriginalGenModelFile()

### setModelFile

    void setModelFile(IFile modelFile)

### getModelFile

    IFile getModelFile()

### setGenModelProjectLocation

    void setGenModelProjectLocation(IPath projectLocation)

### getGenModelProjectLocation

    IPath getGenModelProjectLocation()

### setGenModelProjectPath

    void setGenModelProjectPath(IPath projectPath)

### getGenModelProjectPath

    IPath getGenModelProjectPath()

### setGenModelContainerPath

    void setGenModelContainerPath(IPath path)

### getGenModelContainerPath

    IPath getGenModelContainerPath()

### setGenModelFileName

    void setGenModelFileName(java.lang.String fileName)

### getGenModelFileName

    java.lang.String getGenModelFileName()

### getFileExtensions

    java.util.List<java.lang.String> getFileExtensions()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.